#define YES 0x01
#define NO  0x00
#define     BLACK   0x00
#define     BLUE    0x01
#define     GREEN   0x02
#define     CYAN    0x03
#define     RED     0x04
#define     MAGENTA 0x05
#define     BROWN   0x06
#define     LIGHTGRAY 0x07
#define     DARKGRAY  0x08
#define     LIGHTBLUE 0x09
#define     LIGHTGREEN 0x0A
#define     LIGHTCYAN 0x0B
#define     LIGHTRED 0x0C
#define     LIGHTMAGENTA 0x0D
#define     YELLOW 0x0E
#define     WHITE 0x0F
#define     BLINK 0x80

char FILLER=' ',
     ATTR=0x07,
     SHADOW=YES,
     EXPLODE=YES;

unsigned char far *vid_mem=(unsigned char far *)0xb8000000,
              far *V;

char set_attr (char col, char bk) {
 char ATTR=0x00;
 ATTR|=col;
 ATTR|=(bk<<4);
 return (ATTR);
}

void write_char (char x, char y, char ch) {
 V=vid_mem;
 V += ((x*80 + y)<<1);
 *V++ = ch; /*  ᨬ */
 *V = ATTR; /*  ਡ */
}

void write_string (char x, char y, char *str) {
 char i;
 for (i=0;  *(str+i); i++) write_char (x, y+i, *(str+i));
}

char strlen (char *str) {
 char i;
 for (i=0x00; *(str+i);) i++;
 return (i);
}

void center_string  (char x, char y1, char y2, char *str) {
 char i,y;
 y=(y1+y2-strlen(str))>>1;
 for (i=0;  *(str+i); i++) write_char ( x, y+i, *(str+i));
 return;
}  

char read_char (char x, char y, char *attr) {
 char ch;
 V=vid_mem;
 V += ((x*80 + y)<<1);
 ch = *V++;  /* ᨬ */
 *attr = *V; /* ਡ */
 return (ch);
}

void change_attr (char x1, char y1, char x2, char y2, char attr) {
 char i,j;
 V=vid_mem; x2++; y2++;
 for (i=x1; i<x2; i++)
 for (j=y1; j<y2; j++) {
  V = vid_mem + ((i*80 + j)<<1) + 1;
  *V = attr; //  ਡ
 }
}

void save (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  ch=read_char (i,j,&attr);
  ATTR=attr;
  vid_mem+=4000;
  write_char (i,j,ch);
  vid_mem-=4000;
 } return;
}

void restore (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  vid_mem+=4000;
  ch=read_char (i,j,&attr);
  vid_mem-=4000;
  ATTR=attr;
  write_char (i,j,ch);
 } return;
}

char kbscan(void) {
 char sim;
 asm MOV  AH,0x00;     //뢠 ᨬ   
 asm INT  16H;
 asm MOV sim,AH; // AH=Scan-code, AL=ASCII code
 return (sim);
}

void kbclear(void) {
asm push es;
asm  cli;
asm  sub ax,ax;
asm  mov es,ax;
asm  mov al,es:[41ah];
asm  mov es:[41ch],al;
asm  sti;
asm pop es;
}

void clear (char x1,char y1,char x2,char y2) {
 char i,j;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) write_char (i,j,FILLER);
 return;
}

void box (char x1, char y1, char x2, char y2, char sort) {
// ᮢ ࠬ:
//  012 Ŀ ͻ ķ ͸ ķ   
//  3 4 1 2 3 4 5 6 7
//  567  ͼ ͼ ; Ľ  
 unsigned char border[8][8]={
  {' ',' ',' ',' ',' ',' ',' ',' '},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''}
 };
 char i;
 if (!sort) for (i=0; i<8; i++) border[0][i]=FILLER; //  -ࠧ⥫
 for(i=x1+1; i<x2; i++) { // 
  write_char (i,y1,border[sort][3]);
  write_char (i,y2,border[sort][4]);
 }
 for (i=y1+1; i<y2; i++) { // ࠢ
  write_char (x1,i,border[sort][1]);
  write_char (x2,i,border[sort][6]);
 }
 write_char( x1, y1, border[sort][0]);
 write_char( x1, y2, border[sort][2]);
 write_char( x2, y1, border[sort][5]);
 write_char( x2, y2, border[sort][7]);
 return;
}

void window (char x1,char y1,char x2,char y2) {
 char j,cx1,cy1,cx2,cy2;
 if (EXPLODE) {
  cy1=(y2-y1)>>1;
  cy2=cy1+1;
  cx1=(x2-x1)>>1;
  cx2=cx1+1; 
  j=0x0f;
  do {
   box (cx1,cy1,cx2,cy2,0x02);
   FILLER=' ';
   box (cx1,cy1,cx2,cy2,0x00);
   if (cx1>x1) cx1--;
   else j&=0x0e;
   if (cx2<x2) cx2++;
   else j&=0x0d;
   if (cy1>y1) cy1--;
   else j&=0x0b;
   if (cy2<y2) cy2++;
   else j&=0x07;
  } while (j);
 }
 else { // normal
  FILLER=' ';
  clear (x1,y1,x2,y2); 
 }
 box (x1,y1,x2,y2,0x02);
 if (SHADOW) {
  j=y2+2;
  if (j<80) change_attr (x1+1, y2+1, x2, y2+2, 0x08); //Ver
  j=x2+1;
  if (j<25) change_attr (x2+1,y1+2,x2+1,y2+2, 0x08); //Hor
 } return;
}

#define UPR_SIM 0xfe

void text (char x1, char y1, char x2, char y2, char *str) {
 char Cods[16]= {
  '0','B','G','C','R','M','Y','L', 
  'D','b','g','c','r','m','y','W'
 };
 char i,j,k,sim,is1,is2,cod1,cod2;
 int n=0;
 x2++; y2++;
 for (i=x1; i<x2; i++) {
  if (str[n]=='\0') break;
  for (j=y1; j<=y2; j++) {
AGAIN:
   sim=str[n++];
   if (sim==UPR_SIM) {
    cod1=str[n++];
    for (k=0,is1=17; k<16; k++) if (cod1==Cods[k]) { is1=k; break; }
    if (is1<17) {
     cod2=str[n++];
     for (k=0,is2=17; k<8; k++) if (cod2==Cods[k]) { is2=k; break; }
     if (is2==17) sim=cod2;
     else { ATTR=set_attr(is1,is2); goto AGAIN; }
    }
    else sim=cod1;
   }
   if (sim=='\r') goto AGAIN;
   if (sim=='\n') break;
   if (sim=='\0') return;
   write_char (i,j,sim);
  }
  j=0;
 }
}

#define _ESC 0x01
#define _SBAR 0x39
#define _ENTER 0x1C
#define _PAGE_UP 0x49
#define _UP 0x48
#define _DOWN 0x50
#define _PAGE_DO 0x51

char popup (char x1, char y1, char x2, char y2, char col, char bk,
 char kol, char **str) {
 char cursor=0x00,sim,rev,i;
 save (x1,y1,x2,y2);
 ATTR=set_attr (col,bk);
 rev=0x70;
 FILLER=' ';
 clear (x1,y1,x2,y2);
 box (x1,y1,x2,y2,0x02);
 for (i=0; i<kol; i++) write_string (x1+1+i, y1+1, str[i]);
 while (1) {
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, rev);
  sim=kbscan();
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, ATTR);
  switch (sim) {
   case _ENTER: goto OUT;
   case _UP: 
    if (cursor>0x00) cursor--;
    else cursor=kol-0x01;
   break;
   case _DOWN: 
    if (cursor<kol-0x01) cursor++;
    else cursor=0x00;
   break;
   case _PAGE_UP: cursor=0x00; break;
   case _PAGE_DO: cursor=kol-0x01; break;
   default: break;
  }
 }
OUT: 
 restore (x1,y1,x2,y2);
 return (cursor);
}

void strrev(char *s) {
 char c; char *t;
 for (t=s+strlen(s)-1; s<t; s++,t--) {
  c=*s; *s=*t; *t=c;
 }
}   

void utoa (unsigned n, char *str,char field) {
 char *t=str,byte;
 for (byte=0x00; byte<field; byte++) *(str+byte)=' ';
 do {
  *str++=n%10+'0';
 } while ((n/=10)!=0);
 byte=*str; *str='\0';
 strrev (t);
 *str=byte;
 return;
}

char textmode (void) {
 // ⠭ ० 3, 80*25, 16 梥⮢
 // 頥 0  砥 訡
 asm mov ax,0003h;
 asm int 10h;
 asm mov ah,00fh;
 asm int 10h;
 asm cmp al,003h;
 asm jnz ModeError;
 asm mov al,1;
 asm jmp Exit;
ModeError:
 asm mov al,0;
Exit:
 return (_AL);
}

void goto_xy(char xpos,char ypos) {
 asm  mov	ah,0x02 ;
 asm mov	dl,ypos ; //⮫
 asm mov	dh,xpos	; //ப
 asm mov	bh,0x00 ;
 asm int	10h;
}

//////////////// ᭮  ணࠬ
#define SCREENS 15

void main (void) {
 char *screen[SCREENS]={
"yB\n"
"ķ\n"
"  gB       yB                                      \n"
"  gB                 yB                    cBķyB   \n"
"  gB            yB                    cB ᨡ yB   \n"
"                                                      cB   1 9 9 5   yB   \n"
"  gB         yB    cBͼyB   \n"
"  gB                        yB                      \n"
"  gB                yB                      \n"
"ķ \n"
"    WB⨥ 1:yB                  ķ    DOS  ᬮ      ۺ\n"
"                                WBESCyB  ⥪                        ۺ\n"
"    gB騥 ᢥyB              ͼ                                ۺ\n"
"                                ķ  ३  ᫥饩 ࠭  ۺ\n"
"    gB  䠩yB             WByB    㭪                ۺ\n"
"    gB ⠫yB                ͼ                                ۺ\n"
"                                ķ  ३  ।饩 ࠭ ۺ\n"
"    gB yB                       WByB    㭪                ۺ\n"
"    gBனyB                   ͼ                                ۺ\n"
"ͼۺ\n"
" ߺ\n"
"ͼ\n"
"\0",
"yB      cB1. 祭   窨.yB\n"
"         樮 ⥬ WBMS-DOSyB 筮 㤮 \n"
"   拉,  ᮡ  ⨢ ᯮ짮 䠩  ⥬,  \n"
"    , ᮧ  㭨⮦ ⢮ 䠩. ⮬\n"
"   짮⥫ ।   WBDOSyB     WBணࠬ-窨yB\n"
"   樮 ⥬,  , ⠢     ᥠ\n"
"   ࠡ,   㤮,  來   믮  WBDOSyB, -\n"
"   ᪠ 㣨 ணࠬ, ᮧ  ।஢ ⥪⮢ 䠩. -\n"
"    ୠ  ணࠬ-祪 - ணࠬ WBNorton CommanderyB  (\n"
"   WBNCyB),     ࢮ ࠧࠡ稪  ⮭.\n"
"\n"
"      WBNorton CommanderyB :\n"
"      gB-yB 來 ࠦ ᮤঠ ⠫   ।祭 \n"
"   ⮣    室   ⠫  ᪠;\n"
"      gB-yB 㤮 ஢, ६, ᮧ, 㤠 ⠫  䠩;\n"
"      gB-yB  室  ᪥ ॡ㥬 䠩  ꥤ 䠩  -\n"
"     ᫥ 権;\n"
"      gB-yB ᮧ  ।஢ ⥪   ஥ ணࠬ--\n"
"   ;\n"
"      gB-yB ᬠਢ 䠩   ⥪⮢  ᪨ ଠ;\n"
"      gB-yB 믮   DOS   ப;\n"
"      gB-yB   ᮡ⢥  ᯮᮡ  ࠡ⪨  ࠧ ⨯ 䠩 \n"
"   ᮧ  롮  ᪠  ᯮ㥬 ணࠬ.\0",
"yB      cB2. 室  ணࠬ-  室  .yB\n"
"\n"
"       ࠢ,  ᫥ 祭   㧪 樮 -\n"
"   ⥬ WBࠢ 砥 ணࠬ-窠yB.  ⨣ 맮 -\n"
"   塞 䠩 WBNC.EXEyB  ᫥  ப  䠩  ⮧᪠  WBAUTOE-yB\n"
"   WBXEC.BATyB.  䠩 室  ୥ ⠫ ⥬ ᪠ (-\n"
"        WBc:yB)  ।  ⢨,   㦭 -\n"
"      ࠧ  㧪 WBDOSyB.   뢠 WBNorton CommanderyB \n"
"     ப WBDOSyB:\n"
"      gBc:\\NC\\nc.exeyB\n"
"      ( ।,  䠩 Norton Commander' 室  -\n"
"    gBNCyB ᪠ gBc:yB). 襩 ࠭ ࠭ ⠪ ⢥ -\n"
"   ᨨ Norton Commander', ⠪  WBVolkov CommanderyB (⮣ 㦭  -\n"
"   塞 䠩   WBVC.COMyB). ᫥ ᪠ 䠩 WBNC.EXEyB   -\n"
"   ,  ண  맢, 䠩 WBNCMAIN.EXEyB  ᪠ .\n"
"       室   Norton Commander'  WBDOSyB ᫥  gBF10yB  ⢥-\n"
"    室 ⨥  gBYyB  gBENTERyB,  ᫨ ணࠬ ॡ -\n"
"   ত   .  ⬥ 室 ᫥  gBNyB  gBESCyB.\n"
"\n"
"      cB3. ࠢ ﬨ.yB\n"
"       ६ ࠡ WBNCyB  ࠭  室   , \n"
"     ᮤন WBଠ  - ⠫yB.  奬 -\n"
"     , 騥 ଠ   ⠫:\0",
"yB    ⥪饣 ⠫ gByB cB0C C:\\UTILS cBͻyB\n"
"    뫪  த⥫᪨         cB    yBNamecB        yBNamecB        yBNamecB    yB\n"
"                    ⠫ gBcB ..          rkvga    com            yB\n"
"    ⠫ 뤥   gBcB TEXT        vgal02   com            yB\n"
"    ய묨 㪢gBcB ANTIVIR     ndd      exe            yB\n"
"                                   cB800      comnu       exe            yB\n"
"     䠩 gBcB alarm    com0Cnorton   inicB            yB\n"
"    ⥪饣 ⠫ gByB            cBbtetris  comconfig   sys            yB\n"
"                      gBcB calendar comcountry  sys            yB\n"
"   ப  -          gByB     cBkeyboard comread_me  txt            yB\n"
"   ଠ  ⬥祭  gBcB keyin    com                        yB\n"
"     䠩 ( , gBĿyB    cBkeyr13   com                        yB\n"
"   ࠧ, , ६ )      gByB    cBmmouse   com                        yB\n"
"                ப        gByB    cBmouse    com                        yB\n"
"       ᪠    gByB    cBpark     com                        yB\n"
"   ப DOS gBĿyB祭    gByB    cBĶyB\n"
"               gByB㭪樮gBcB norton.ini         841  9-27-95 11:21pyB\n"
"               gByB gBĿyB cBͼyB\n"
"   c:\\UTILS>_ gByB                gByB\n"
"   0C1Help   2Menu   3View   4Edit  5Copy   6RenMov 7Mkdir  8Delete ...     yB\n"
"          WB⨢yB -   室 WB㪠⥫yB, 뤥-\n"
"    મ  梥⮬,  뢥   ⠫ ⠥ WB⥪騬yB\n"
"   ⠫ WBDOSyB.\0",
"yB\n"
"      WB  ५yB 㦠  ६饭 㪠⥫  . ᫨\n"
"   㪠⥫ 室   WB⠫yB, ⨥  gBENTERyB -\n"
"    ३   ⠫.  ᫨ 㪠⥫ 室  WB뫪yB  -\n"
"   ⥫᪨ ⠫ gB..yB ,  ⨨ gBENTERyB ந室 室  ; -\n"
"    㪠⥫ 室  䠩  ७ gBexeyB,  gBcomyB  gBbatyB,  -\n"
"   ⨨ gBENTERyB 䠩 ᪠  믮,   襭 ࠡ ண-\n"
"   ࠬ  ࠢ   砥 WBNCyB.  ⠫ ७ 䠩 \n"
"    ࠡ⠭ ⮫쪮 ᯥ樠묨 ।⢠.\n"
"       gBESCyB    ࠭   ᮮ饭, 뢮\n"
"   WBNorton CommanderyB'.\n"
"\n"
"       ࠢ ﬨ  ਣ ᫥騥 樨 :\n"
"   gBTAByB          ३   .  ⮬ 㪠⥫ ६頥\n"
"     ,  ⥪騬  ⮡ࠦ     ⠫;\n"
"   gBCtrl-OyB       /⠭  .    뢠  室\n"
"    ⮣,  ⮡ ᬮ 뢮  ࠭ ଠ. ࢮ -\n"
"   ⨥ Ctrl-O 㡨ࠥ   ࠭, ஥ - ⠭ .    \n"
"   ᠬ ⭮  ६ ᫥騬  ;\n"
"   gBCtrl-F1yB      /⠭  ;\n"
"   gBCtrl-F2yB      /⠭ ࠢ ;\n"
"   gBCtrl-UyB         ⠬;\0",
"yB\n"
"      樨  gBAlt-F1yB  gBAlt-F2yB ਬ  ⮣, ⮡ -\n"
"    WB 㣮 ᪠yB, ᮮ⢥⢥    ࠢ .\n"
"     ⮬  ॡ    । ᯨ᪠ 㯭 -\n"
"   :\n"
"   0L Drive letter ͻyB\n"
"   0L Choose left drive: yB         蠬  ५ \n"
"   0L    A  0C C 0L  D   E   yB        ॡ㥬    gBENTERyB\n"
"   0LͼyB\n"
"\n"
"      ᫨  ⠫  䠩,  WBண ᪠yB 㦭 䠩 \n"
"   ᯮ짮 ᫥騩 ਥ:    gBALTyB   㪢  \n"
"   䠩.       쪮  .   -\n"
"   ,    㤥     䠩, 㪠⥫   㤥 -\n"
"   ६  襥 室饥 .   易⥫쭮  楫-\n"
"   .  ਬ, ᫨   ᬮ  䠩, 稭騥 \n"
"   gBCODyB,     gBALt-CyB,gBOyB,gBDyB ,  gBCTRL-ENTERyB 室  ᫥-\n"
"   饬 室饬 .\n"
"\n"
"      cB4. 樨  䠩  ⠫.yB\n"
"\n"
"      ⢨  䠩  ⠫,  ᮮ⢥騥  WBDOSyB,  -\n"
"   ९  WBNCyB  㭪樮묨 蠬:\0",
"yB   0CķyB  WBᬮyB 䠩,  뤥   ⨢ .  ᫨  -\n"
"   0C F3 yB   ⠫, ⢨  ந. ਠ ⮣ ०  -\n"
"   0CͼyB     ᬮ,  뢠  ⠭    gBALT-F3yB. \n"
"   ஬ ० 䠩 ᥣ  ᬠਢ  WB  ⥪yB,      \n"
"   ᬮ 㦠  ணࠬ  gBwpview.exeyB,    ⠥ \n"
"   ० ᬮ.     㤠 ࠢ쭮 ।  ⨯  䠩,\n"
"   ⮣ ᫥      ᬮ    gBF8yB    ᯨ᪠\n"
"   ० \"WCText viewyB\", ᯮ㥬  㬮砭.\n"
"   0CķyB  WB஢yB 䠩,  ஬ ⮨  㪠⥫    . ᫨\n"
"   0C F4 yB  ⬥祭 ⠫, ⢨   ந.  ᫨  ࠧ  䠩\n"
"   0CͼyB   gB53yB , ।  WBᬮ   yB, ⠪\n"
"     ꥬ  ।㥬 WBNCyB 䠩 ࠭祭.   WB ᫥yB  㦠 \n"
"   । 䠩  設 ,  ..     ᯮ祭  -\n"
"   砩 .    ⢮ WBᮡ⢥ yB, 㦠\n"
"    ࠧ 権  ⥪⮬. ਬ, ⠭  gBCtrl-YyB 㤠-\n"
"    ப,   ன ⮨ .   ।  ⨥\n"
"   gBESCyB. ᫨ ।㥬 䠩  , WBNCyB , 㦭  ࠭\n"
"    (롮 gBSaveyB - , gBDon't saveyB - ).\n"
"   0CķyB gBShift F4yB WByB  䠩  ⥪饬 ⠫. ᫥  \n"
"   0C    yB 䠩     㦠 ।    ⥪.\n"
"   0CͼyB  ࠭  ⥪ ᫥, 室  ।,\n"
"    gBF2yB. ᫨  䠩  ࠭ ,  孥 ப\n"
"   ࠭ ᫥  ।㥬 䠩 ⮨ ᨬ gB*yB.\0",
"yB   0CķyB  WB஢yB 䠩.     ,   ஬    \n"
"   0C F5 yB     , ᫨ 㦭,   䠩.   㬮砭  \n"
"   0CͼyB  ⠥ WB⥬ yB  䠩    ४,    \n"
"   WB⨢ yB.  ਬ,  ஢ 䠩  gBc:\\AUTOEXEC.BATyB  \n"
"    gBa:yB 筮   ᪠ gBa:yB   ,  㣮\n"
"   ⠭ 㪠⥫    䠩,   gBF5yB  ⢥न ஢\n"
"   ⨥ gBENTERyB.\n"
"\n"
"   0CķyB  WB२yB  WB६yB 䠩. २ ᮢ蠥 \n"
"   0C F6 yB  । ᪠,  ६饭 -  㣮 ,  䠩    ⮬\n"
"   0CͼyB  ॣ  㣮 ⠫    ⠥,   ⫨稥 \n"
"   㭪樨 ஢,   WB⢥yB .  ⠫쭮 ࠡ ᮢ-\n"
"      ஢.\n"
"\n"
"   0CķyB  WB  ⠫yB. ॡ     襬\n"
"   0C F7 yB      gBENTERyB.\n"
"   0CͼyB\n"
"\n"
"   0CķyB  WB⮦yB 䠩,  뤥    ⨢ .  ணࠬ\n"
"   0C F8 yB    ⢥ত  㤠 䠩  ୮  -\n"
"   0CͼyB   ⢥ত, ᫨ 䠩    WB⮫쪮   ⥭yB.  \n"
"    ⢥  \"gByB\"   \"gByB\"   .    ࠧ \n"
"   㤠  ⮩ ⠫.\0",
"yB      cB5.   㯯 䠩.yB\n"
"\n"
"         室  ࠡ ࠧ WB᪮쪮yB 䠩-\n"
"   .  ⮣  WBNCyB  WB yB:\n"
"      ⨥  gBINSyB  䠩,  ஬ 室 㪠⥫, \n"
"   WB뤥 㯯yB,   ⬥砥   㣨  梥⮬    -\n"
"   .     뤥 䠩,  ப  뢮\n"
"   ଠ   ⢥  饬 ꥬ, ਬ\n"
"   gB9,389 byte(s) in 4 selected filesyB     (9 389   4 뤥 䠩)\n"
"      ୮ ⨥ gBINSyB   䠩,  室饣  뤥 㯯,\n"
"   㡨ࠥ   㯯;\n"
"        - WB㯯஢  ᪥yB.  ᫥    \n"
"   'gB+yB'  WB⥫쭮 ஢yB   業 ࠭  -\n"
"   ,  ஬    :\n"
"   0L Select ͻyB\n"
"   0L Select the files yB                    ⬥祭 䠩,\n"
"   0L 0C*.*_        0L     yB                 騥   .\n"
"   0LͼyB\n"
"       뤥  㯯  ࠡ WB  ⤥ 䠩yB - -\n"
"   ,  २뢠,  㭨⮦  .. ᫥ 믮 樨 \n"
"   뤥 㯯, 뤥   ᭨.  뤥 \"\"\n"
"    ᫥   'gB-yB'  ⥫쭮  ஢  .\n"
"    ⮬  , 筮   ᪨.\0",
"yB      cB6. ⥫ .yB\n"
"      WBNCyB   ⢮  ⥫  ⥩,   \n"
"     㤮 ஢  䠩 ⥬.   ᬮਬ  -\n"
"     .\n"
"       WB᪠yB  ⥪饬 ᪥ 㦭 WB䠩yB ।祭 WB  ᪠yB,\n"
"   뢠 ⨥ gBAlt-F7yB.   2  ,   :\n"
"   WCĶyB\n"
"   WC File(s) to find:                            ()  ᪠:   yB\n"
"   WC W0_                                                               WC  yB\n"
"   WCĶyB\n"
"   WC Containing:                                 ঠ騥 ப:    yB\n"
"   WC W0                                                                WC  yB\n"
"   WCĶyB\n"
"   WC             yC[ Ok ]WC   [  Change drive  ]   [ Cancel ]              yB\n"
"   WCͼyB\n"
"       ࢮ   WB 䠩  ᪠yB,   ன  \n"
"   䠩.  ᫨ ⭠ WB⥪⮢ பyB,   ᮤঠ ᪮\n"
"   䠩,     ஬ ,  筮   .  ᫥\n"
"   室   WCOkyB   gBEnteryB 稭  ᪠.  -\n"
"    뢮 ଠ   䠩. ᫨  ࠧ ᪮쪮\n"
"   䠩,  蠬  ५  㪠      ⨥\n"
"   gBEnteryB ३  ⠫,    室.  WCChange driveyB ।-\n"
"   祭  ᪠  㣮 ᪥,  WCCancelyB  ⬥ ᪠.\0",
"yB\n"
"      ⠭   gBAlt - F10yB ࠧ稢  ࠭ WBॢ ⠫yB,\n"
"        來  㦭 ⠫.\n"
"   WC NCD ͻyB\n"
"   WC  \\  PRINT                                                  yB\n"
"   WC     TEST                                                   yB\n"
"   WC     W0NC          WC                                           yB\n"
"   WC     DOS                                                    yB\n"
"   WC     PARUS                                                  yB\n"
"   WC     WINDOWS                                                yB\n"
"   WC     TMP                                                    yB\n"
"   WC     STUDENTPASCALBGI                         yB\n"
"   WC                              BIN                         yB\n"
"   WC                              PROGS                       yB\n"
"   WC                                                           yB\n"
"   WC ĺyB\n"
"   WC C:\\PRINT                                                     yB\n"
"   WC Speed search:  W0_           WC      Press ^Enter for next match.yB\n"
"   WCͼyB\n"
"           筮  ,     WCSpeed searchyB  \n"
"   㪢 㦭     gBCtrl-EnteryB 室  ᫥饬  -\n"
"   室饬  ⠫. ⨥ gBEnteryB 뢠 室  ⬥祭 -\n"
"   ⠫.\0",
"yB\n"
"      cB7. .yB\n"
"\n"
"       ⮣, ⮡   室  讥 ᫮ ⠭\n"
"   ,  ⠪  믮 ࠡ ஥, WBNCyB  ஥ WB-yB\n"
"   WByB,   ஥  ⨥  gBF9yB. ਧ⠫쭠 ப -\n"
"    ⮨   㭪⮢:\n"
"        0CLeft    Files    Commands    Options    RightyB\n"
"        WB            ன  ࠢyB\n"
"\n"
"      㭪 WCLeftyB  WCRightyB    ⢨  㦠,  ᮮ⢥-\n"
"   ⢥,  WBࠢ ଠ樥yB    ࠢ .\n"
"          㭪⮢  ࠧ   㯯, -\n"
"     ࠭ ਧ⠫쭮 ⮩.\n"
"      ࢠ 㯯 ⢥砥  WB ଠ樨yB, 뢮  :\n"
"   WC Brief             yB  뢮   ⮫쪮  䠩  3 ⮫\n"
"   WC  Full              yB  뢮 ,ࠧ,  ६ 䠩  1 ⮫\n"
"   WC  Info              yB    ଠ樮\n"
"   WC  Tree              yB  뢥   ॢ ४਩\n"
"   WC  Quick view        yB  ॢ   ० ண ᬮ\n"
"   WC  On/Off            yB  /몫 \n"
"       ன 㯯 ⭮ , ⢥騥  WBᯮᮡ 㯮冷祭yB\n"
"   䠩  :\0",
"yB\n"
"   WC  Name              yB  冷 䠩    \n"
"   WC Extension         yB  冷 䠩    ७\n"
"   WC  Time              yB  冷 䠩    ६ ᮧ\n"
"   WC  Size              yB  冷 䠩    ࠧ\n"
"   WC  Unsorted          yB  冷 䠩   ᯮ  ᪥\n"
"\n"
"        ࠭ ⮫쪮   ०,  室   㯯.  \n"
"   ⬥砥 ᫥ 窮 gByB.   롮 㣮 ० ᫥ ⠢\n"
"     㪠⥫   gBEnteryB.\n"
"\n"
"       ० ॡ ᭥:\n"
"\n"
"      ० ண  ᬮ (WCQuick ViewyB) 뢠   WBᮤনyB\n"
"   䠩, ࠭  㣮 . ᫨ ࠭ ⠫, 뢠 -\n"
"   騩 ꥬ 室   䠩  ⠫, ᫨ ࠭ ᯮ塞\n"
"   䠩, 뢠  쭠 ॡ    ᪥;\n"
"\n"
"      ଠ樮   (WCInfoyB)    㧭  稨 WB᢮yB\n"
"   WByB  ⥪饬 ᪥   .    맢      ⨥\n"
"   gBCtrl-LyB.   ᭮  ଠ樮 :\0",
"yB\n"
"   cB Info ͻyB\n"
"   cB   The Norton Commander, Version 4.0  yB\n"
"   cB              10 May 1993             yB\n"
"   cBĶyB\n"
"   cB         yB655,264cB Bytes Memory         yB  ꥬ ⨢ , \n"
"   cB          yB575,216cB Bytes Free          yB   ⨢ \n"
"   cB  yB321,560,576cB total bytes on drive yBH:cB yB  ꥬ ᪠, \n"
"   cB  yB237,248,512cB bytes free on drive yBH:cB  yB    ᪥, \n"
"   cB       yB10cB 䠩 and 1 directory       yB  ⢮ 䠩  ⠫-\n"
"   cB         use yB286,720cB bytes in         yB        ⥪饬 ⠫\n"
"   cB                H:\\DOC                yB\n"
"   cBĶyB\n"
"   cB Volume Label :  yBCOMPRESSEDcB           yB  ⪠ ᪠\n"
"   cB Serial number:  yB19F6:1E62cB            yB  ਩  ᪠\n"
"   cBĶ\n"
"\n"
"      㭪  WCFilesyB   ⢨    䠩,  ९  \n"
"   㭪樮묨  蠬 gBF1yB - gBF10yB.  ஬ ⮣,  㭪 WCSelect groupyB \n"
"   WCDeselect groupyB  뤥 䠩  ᪥  ᭨ 뤥.\n"
"\n"
"      㭪 WCCommandsyB  ⥫ ,    ⠪  \n"
"   ᮧ WB 짮⥫yB  WB䠩 ࠡ⪨ ७yB (. ⨥ WB2yB).\0",
"yB\n"
"      㭪 WCOptionsyB 㦨  ன ० ࠡ WBNorton CommanderyB'.\n"
"    ᬠਢ 㭪   祭  몫祭. ᫨ 㭪\n"
"   WB祭yB,  ⬥祭 ᫥ 窮. ४祭  ⨬ ﭨﬨ\n"
"   - ⨥ gBENTERyB  ࠭ 㭪:\n"
"   WC  Auto menus         yB  뢮  짮⥫   ணࠬ\n"
"   WC Path prompt        yB  뢮     ப\n"
"   WC Key bar            yB  뢮 ப ᪠  ࠭\n"
"   WC Full screen        yB  뢮    ࠭\n"
"   WC Mini status        yB  뢮 ப ଠ樨  ⬥祭 䠩\n"
"   WC Clock              yB  뢮   孥 ࠢ 㣫 ࠭\n"
"\n"
"   GB[ ⥪]yB\0"
 };
 char *mm0[2]={"  ணࠬ","  DOS"};
 char scr,k,c,*numpage="__";

 if (!textmode()) 
  return;
 
 goto_xy(0x19,0x00);
AGAIN:
 kbclear();
 for (scr=0;;) {
AGAIN_2:
  EXPLODE=YES; SHADOW=NO;
  ATTR=set_attr (YELLOW,BLUE);
  window (0,0,24,79);
  text (1,1,23,78,screen[scr]);
  if (scr) {
   ATTR=set_attr (WHITE,BLUE);
   utoa (scr,numpage,2);
   center_string (24,1,78,numpage);
  }
READKEY:
  c=kbscan();
  switch (c) {
   case _DOWN: if (scr<SCREENS-1) scr++; else goto READKEY; break;
   case _UP:   if (scr>0) scr--; else goto READKEY; break;
   case _ESC:
    k=popup (6, 28, 9, 52, YELLOW,GREEN, 2, mm0);
    if (k) goto OUT_MAIN;
   break;
   default: goto READKEY;
  }
  continue; // 頥  ப⪥ ࠭
 }
OUT_MAIN: 
 ATTR=0x07; clear (0,0,24,79);
 goto_xy(0x00,0x00);
 return;
}
asm db 10,13,'Nick Soft',10,13,'$'