#define YES 0x01
#define NO  0x00
#define     BLACK   0x00
#define     BLUE    0x01
#define     GREEN   0x02
#define     CYAN    0x03
#define     RED     0x04
#define     MAGENTA 0x05
#define     BROWN   0x06
#define     LIGHTGRAY 0x07
#define     DARKGRAY  0x08
#define     LIGHTBLUE 0x09
#define     LIGHTGREEN 0x0A
#define     LIGHTCYAN 0x0B
#define     LIGHTRED 0x0C
#define     LIGHTMAGENTA 0x0D
#define     YELLOW 0x0E
#define     WHITE 0x0F
#define     BLINK 0x80

char FILLER=' ',
     ATTR=0x07,
     SHADOW=YES,
     EXPLODE=YES;

unsigned char far *vid_mem=(unsigned char far *)0xb8000000,
              far *V;

char set_attr (char col, char bk) {
 char ATTR=0x00;
 ATTR|=col;
 ATTR|=(bk<<4);
 return (ATTR);
}

void write_char (char x, char y, char ch) {
 V=vid_mem;
 V += ((x*80 + y)<<1);
 *V++ = ch; /*  ᨬ */
 *V = ATTR; /*  ਡ */
}

void write_string (char x, char y, char *str) {
 char i;
 for (i=0;  *(str+i); i++) write_char (x, y+i, *(str+i));
}

char strlen (char *str) {
 char i;
 for (i=0x00; *(str+i);) i++;
 return (i);
}

void center_string  (char x, char y1, char y2, char *str) {
 char i,y;
 y=(y1+y2-strlen(str))>>1;
 for (i=0;  *(str+i); i++) write_char ( x, y+i, *(str+i));
 return;
}  

char read_char (char x, char y, char *attr) {
 char ch;
 V=vid_mem;
 V += ((x*80 + y)<<1);
 ch = *V++;  /* ᨬ */
 *attr = *V; /* ਡ */
 return (ch);
}

void change_attr (char x1, char y1, char x2, char y2, char attr) {
 char i,j;
 V=vid_mem; x2++; y2++;
 for (i=x1; i<x2; i++)
 for (j=y1; j<y2; j++) {
  V = vid_mem + ((i*80 + j)<<1) + 1;
  *V = attr; //  ਡ
 }
}

void save (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  ch=read_char (i,j,&attr);
  ATTR=attr;
  vid_mem+=4000;
  write_char (i,j,ch);
  vid_mem-=4000;
 } return;
}

void restore (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  vid_mem+=4000;
  ch=read_char (i,j,&attr);
  vid_mem-=4000;
  ATTR=attr;
  write_char (i,j,ch);
 } return;
}

char kbscan(void) {
 char sim;
 asm MOV  AH,0x00;     //뢠 ᨬ   
 asm INT  16H;
 asm MOV sim,AH; // AH=Scan-code, AL=ASCII code
 return (sim);
}

void kbclear(void) {
asm push es;
asm  cli;
asm  sub ax,ax;
asm  mov es,ax;
asm  mov al,es:[41ah];
asm  mov es:[41ch],al;
asm  sti;
asm pop es;
}

void clear (char x1,char y1,char x2,char y2) {
 char i,j;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) write_char (i,j,FILLER);
 return;
}

void box (char x1, char y1, char x2, char y2, char sort) {
// ᮢ ࠬ:
//  012 Ŀ ͻ ķ ͸ ķ   
//  3 4 1 2 3 4 5 6 7
//  567  ͼ ͼ ; Ľ  
 unsigned char border[8][8]={
  {' ',' ',' ',' ',' ',' ',' ',' '},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''}
 };
 char i;
 if (!sort) for (i=0; i<8; i++) border[0][i]=FILLER; //  -ࠧ⥫
 for(i=x1+1; i<x2; i++) { // 
  write_char (i,y1,border[sort][3]);
  write_char (i,y2,border[sort][4]);
 }
 for (i=y1+1; i<y2; i++) { // ࠢ
  write_char (x1,i,border[sort][1]);
  write_char (x2,i,border[sort][6]);
 }
 write_char( x1, y1, border[sort][0]);
 write_char( x1, y2, border[sort][2]);
 write_char( x2, y1, border[sort][5]);
 write_char( x2, y2, border[sort][7]);
 return;
}

void window (char x1,char y1,char x2,char y2) {
 char j,cx1,cy1,cx2,cy2;
 if (EXPLODE) {
  cy1=(y2-y1)>>1;
  cy2=cy1+1;
  cx1=(x2-x1)>>1;
  cx2=cx1+1; 
  j=0x0f;
  do {
   box (cx1,cy1,cx2,cy2,0x02);
   FILLER=' ';
   box (cx1,cy1,cx2,cy2,0x00);
   if (cx1>x1) cx1--;
   else j&=0x0e;
   if (cx2<x2) cx2++;
   else j&=0x0d;
   if (cy1>y1) cy1--;
   else j&=0x0b;
   if (cy2<y2) cy2++;
   else j&=0x07;
  } while (j);
 }
 else { // normal
  FILLER=' ';
  clear (x1,y1,x2,y2); 
 }
 box (x1,y1,x2,y2,0x02);
 if (SHADOW) {
  j=y2+2;
  if (j<80) change_attr (x1+1, y2+1, x2, y2+2, 0x08); //Ver
  j=x2+1;
  if (j<25) change_attr (x2+1,y1+2,x2+1,y2+2, 0x08); //Hor
 } return;
}

#define UPR_SIM 0xfe

void text (char x1, char y1, char x2, char y2, char *str) {
 char Cods[16]= {
  '0','B','G','C','R','M','Y','L', 
  'D','b','g','c','r','m','y','W'
 };
 char i,j,k,sim,is1,is2,cod1,cod2;
 int n=0;
 x2++; y2++;
 for (i=x1; i<x2; i++) {
  if (str[n]=='\0') break;
  for (j=y1; j<=y2; j++) {
AGAIN:
   sim=str[n++];
   if (sim==UPR_SIM) {
    cod1=str[n++];
    for (k=0,is1=17; k<16; k++) if (cod1==Cods[k]) { is1=k; break; }
    if (is1<17) {
     cod2=str[n++];
     for (k=0,is2=17; k<8; k++) if (cod2==Cods[k]) { is2=k; break; }
     if (is2==17) sim=cod2;
     else { ATTR=set_attr(is1,is2); goto AGAIN; }
    }
    else sim=cod1;
   }
   if (sim=='\r') goto AGAIN;
   if (sim=='\n') break;
   if (sim=='\0') return;
   write_char (i,j,sim);
  }
  j=0;
 }
}

#define _ESC 0x01
#define _SBAR 0x39
#define _ENTER 0x1C
#define _PAGE_UP 0x49
#define _UP 0x48
#define _DOWN 0x50
#define _PAGE_DO 0x51

char popup (char x1, char y1, char x2, char y2, char col, char bk,
 char kol, char **str) {
 char cursor=0x00,sim,rev,i;
 save (x1,y1,x2,y2);
 ATTR=set_attr (col,bk);
 rev=0x70;
 FILLER=' ';
 clear (x1,y1,x2,y2);
 box (x1,y1,x2,y2,0x02);
 for (i=0; i<kol; i++) write_string (x1+1+i, y1+1, str[i]);
 while (1) {
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, rev);
  sim=kbscan();
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, ATTR);
  switch (sim) {
   case _ENTER: goto OUT;
   case _UP: 
    if (cursor>0x00) cursor--;
    else cursor=kol-0x01;
   break;
   case _DOWN: 
    if (cursor<kol-0x01) cursor++;
    else cursor=0x00;
   break;
   case _PAGE_UP: cursor=0x00; break;
   case _PAGE_DO: cursor=kol-0x01; break;
   default: break;
  }
 }
OUT: 
 restore (x1,y1,x2,y2);
 return (cursor);
}

void strrev(char *s) {
 char c; char *t;
 for (t=s+strlen(s)-1; s<t; s++,t--) {
  c=*s; *s=*t; *t=c;
 }
}   

void utoa (unsigned n, char *str,char field) {
 char *t=str,byte;
 for (byte=0x00; byte<field; byte++) *(str+byte)=' ';
 do {
  *str++=n%10+'0';
 } while ((n/=10)!=0);
 byte=*str; *str='\0';
 strrev (t);
 *str=byte;
 return;
}

char textmode (void) {
 // ⠭ ० 3, 80*25, 16 梥⮢
 // 頥 0  砥 訡
 asm mov ax,0003h;
 asm int 10h;
 asm mov ah,00fh;
 asm int 10h;
 asm cmp al,003h;
 asm jnz ModeError;
 asm mov al,1;
 asm jmp Exit;
ModeError:
 asm mov al,0;
Exit:
 return (_AL);
}

void goto_xy(char xpos,char ypos) {
 asm  mov	ah,0x02 ;
 asm mov	dl,ypos ; //⮫
 asm mov	dh,xpos	; //ப
 asm mov	bh,0x00 ;
 asm int	10h;
}

//////////////// ᭮  ணࠬ
#define SCREENS 18

void main (void) {
 char *screen[SCREENS]={
 "yB\n"
"ķ\n"
"  gB       yB                                      \n"
"  gB                 yB                    WBķyB   \n"
"  gB            yB                    WB ᨡ yB   \n"
"                                                      WB   1 9 9 5   yB   \n"
"  gB             yB         WBͼyB   \n"
"  gB                             yB                           \n"
"  gB                yB                           \n"
"ķ \n"
"    ᬠਢ            gBķyB    DOS  ᬮ       ۺ\n"
"    ணࠬ         gBWBESCgByB   ३  ᠬ         ۺ\n"
"    \"Norton Utilities\":        gBͼyB                                 ۺ\n"
"                               gBķyB  ३  ᫥饩 ࠭   ۺ\n"
"    WBNorton Disk DoctoryB;        gB WBgB yB   㭪                 ۺ\n"
"    WBUneraseyB;                   gBͼyB                                 ۺ\n"
"    WBSpeediskyB;                  gBķyB  ३  ।饩 ࠭  ۺ\n"
"    WBSysinfoyB.                   gB WBgB yB   㭪                 ۺ\n"
"                               gBͼyB                                 ۺ\n"
"ͼۺ\n"
" ߺ\n"
"ͼ\n"
"\0",
"yB\n"
"        ᫮ ன⢮,  ᮭ  ॡ  孨-\n"
"   ᪮ 㦨.     짮⥫ ⠫  ஡-\n"
"   ,  ࠧ   ⮫쪮 ᯥ樠묨 ।⢠.    \n"
"   WB⠭yB 砩 㭨⮦ 䠩,   騥 WB䥪yB -\n"
"     ⪮ ᪠,   ஡  WBனyB   WB䥪⨢yB  ࠡ\n"
"   .\n"
"\n"
"      WB⨫⠬yB 뢠 㦥 ணࠬ, ।祭  -\n"
"    ࠡ 樮 ⥬  ।⠢ 짮⥫ -\n"
"   ⥫ ⥩.\n"
"\n"
"      ⢮  ⨫ ꥤ ணࠬ  WBNorton Uti-yB\n"
"   WBlitiesyB, ᮪饭 WBNUyB.   ⮬ ࠧ  ᬮ७  ண-\n"
"   ࠬ :\n"
"\n"
"      gBNorton Disk DoctoryB  ணࠬ \"祭\" ० ᪮;\n"
"\n"
"      gBUneraseyB             ணࠬ ⠭ 㤠 䠩;\n"
"\n"
"      gBSpeediskyB            ணࠬ ⨬樨 ࠧ饭 䠩  ᪥;\n"
"\n"
"      gBSysinfoyB             ணࠬ 祭 ଠ樨    DOS\0",
"yB\n"
"\n"
"      cB1. Norton Disk Doctor.yB\n"
"\n"
"\n"
"        ᯫ樨 ⪮ ᪠  ࠧ 稭    -\n"
"   孮   WB䨧᪨yB 䥪 ⪨.   ஡\n"
"   ࠡ  ᪠ - WB᪨yB 䥪,  맢 ࠢ쭮  \n"
"   ⥬   ᪠  ३ ,  ⠪  ⥭  䨧᪨\n"
"   ࠢ ᪠ 뢠 .\n"
"\n"
"\n"
"      ணࠬ WBNorton  Disk  DoctoryB  (ᯮ塞 䠩 gBndd.exeyB) 㦨 \n"
"   WB࠭yB 䨧᪨  ᪨ 䥪⮢  ⪨ ᪠    ᪥-\n"
"   .  ᥩ ᢮ 魮,   ணࠬ    WB㡨yB\n"
"   ஡, ਬ,  ⪥ \"楫\" , ࠦ ᮬ. -\n"
"   ⮬, ਬ  NDD  ࠢ  WB᫥yB ਬ  㣨 -\n"
"    ।,  ⭮, ⨢ ணࠬ.\n"
"\n"
"\n"
"      ᫥ ᪠ WBNDDyB 뤠  ࠭ , 饥  ᪮쪨 㭪-\n"
"   ⮢:\0",
"yB\n"
"\n"
"   WB Norton Disk Doctor ͻyB\n"
"   WB                                                           yB\n"
"   WB                                                           yB\n"
"   WB 0L  Diagnose Disk   WB    Test the integrity of a disk.    yB\n"
"   WB      gB஢ ⥬ WB      yB  0L     yB\n"
"   WB                          gB᪠  ᪨ 䥪WB      yB  0L㭪       yB\n"
"   WB     Surface Test        Test the surface of a disk.      yB  0L       yB\n"
"   WB      gB஢ 孮 ᪠ WB   yB  0L蠬   yB\n"
"   WB                          gB䨧᪨ 䥪WB               yB  0L ५yB\n"
"   WB     Undo Changes        Undo Norton Disk Doctor changes. yB  0L      yB\n"
"   WB      gB⬥  ᫥WB    yB  0L        yB\n"
"   WB                          gBᥠ ࠡ, ᫨  ࠭WByB\n"
"   WB       Options           Set Norton Disk Doctor options.  yB\n"
"   WB      gB⠭ ० ࠡWB         yB\n"
"   WB                          gBணࠬWB                        yB\n"
"   WB   Quit Disk Doctor      Exit Norton Disk Doctor.         yB\n"
"   WB      gB ࠡ    DOSWB   yB\n"
"   WB                                                           yB\n"
"   WBͼyB\0",
"yB\n"
"\n"
"      ࠢ  㭪,   㢨 । ᮡ ,    ஬  \n"
"   襩 WB஡yB ⬥ ஢塞 ᪨,  ,   WBEnteryB, \n"
"   :\n"
"\n"
"\n"
"    WB Select Drives to Diagnose ͻyB\n"
"    WB   Ŀ                    yB\n"
"    WB                                             yB\n"
"    WB   Ĵ   ķ   yB\n"
"    WB      A:      1.2M     Floppy                     yB\n"
"    WB      B:      1.4M     Floppy            ͼ   yB\n"
"    WB   0L   C:      264M     Device Driver WB    Ŀ   yB\n"
"    WB                                            ⬥      yB\n"
"    WB                                            yB\n"
"    WB                       yB\n"
"    WB          Press Spacebar to select.                         yB\n"
"    WB           Press Enter when done.                           yB\n"
"    WB                                                            yB\n"
"    WBͼyB\n"
"\0",
"yB\n"
"     ᫥ ⮣  ணࠬ  ஢  ⥬  ࠭ ᪠,\n"
"  ⮡ࠦ  ࠡ  ࠬ ᫥饣 :\n"
"\n"
" WBͻ ͻyB\n"
" WB         Diagnosing drive C:                C:        yB\n"
" WBĺ ͹yB\n"
" WB  Analyzing Boot Record                㧮 ᥪ            yB\n"
" WB  Analyzing File Allocation Tables      । 䠩  yB\n"
" WB  Analyzing directory structure         ॢ ४਩   yB\n"
" WB   Analyzing file structure                           yB\n"
" WB   Analyzing lost clusters               ﭭ ⪨  ᪥   yB\n"
" WBͼ ͼyB\n"
"\n"
"       訡,  㦥  ஢થ    㭪-\n"
"  ⮢. WBNDDyB  ।  ࠢ   ࠧ ,  ᪮  ࠢ\n"
"  ⥬  쭥訩     ᫠.      ᭮\n"
"  梥 뢮 ᮮ饭   訡  짮⥫ ।\n"
"     ᫥ :\n"
"\n"
"   WBYyB (Yes) -  ࠢ 訡;\n"
"   WBNyB (No) -  ⬥ ࠢ;\n"
"   WBEscyB  WBCyB (Cansel) -  室  ० ஢ન  .\0",
"yB\n"
"\n"
"      ᥭ ࠢ  ணࠬ  ।  ᮧ  䠩  WBnddun-yB\n"
"  WBdo.datyB,  易⥫쭮 ᫥ ᤥ.  ⮣ 㦭   WBa:yB\n"
"   WBb:yB  ⠢  ᮮ⢥騩 ᪮  ࠡ ᪥.\n"
"  ᫨ ᤥ  ਢ  ⥫ ᫥⢨, \n"
"   㤥 ࠢ, ᯮ짮 㭪⮬  WCUndo ChangesyB\n"
"\n"
"\n"
"      㦥  訡   䠩  WBNDDyB  ᪮쪮 ࠧ\n"
"  뢮   ᮮ饭ﬨ,  ।   WBEnteryB  த\n"
"   WBEscyB  ⬥ ,  ,  , 㤥 뢥 ᢮ ᮮ饭\n"
"   訡    ਠ⠬  롮  WBYesyB-WBNoyB-WBCanselyB  (ࠢ-  ࠢ-\n"
"  -).\n"
"\n"
"\n"
"      㦥 \"ﭭ\" ⪮ ᪠,   ⭮   -\n"
"   䠩,     ,  WBNDDyB ।  ࠭\n"
"     䠩 (⢥ WBSaveyB),     ᢮ (⢥ WBDe-yB\n"
"  WBleteyB). ,  ᮤঠ騥  ﭭ ⪨,  ᯮ  \n"
"  ⠫ ஢塞 ᪠   WBfile0000._ddyB,WBfile0001._ddyB  ..\0",
"yB      ।    ० ஢ન 孮 ᪠ \n"
" ਬ୮ ᫥饣 :\n"
"WB yBSurface TestWB ͻyB\n"
"WB                                          yB\n"
"WB  yBWhat to TestWB Ŀ yB  ஢?\n"
"WB  () Entire Disk Area                  yB -  \n"
"WB  ( ) Area Used by Files                yB - ᯮ㥬 \n"
"WB  yB\n"
"WB  yBType of TestWB Ŀ yB  ஢:\n"
"WB  () Normal Test                       yB - ଠ쭮\n"
"WB  ( ) Thorough Test                     yB - ᪮७\n"
"WB  ( ) Thorough Test only on Fridays     yB - ஥ ( ⥫쭮)\n"
"WB  yB\n"
"WB  yBPassesWB Ŀ yB ᫮ ७:\n"
"WB  () Repetitions [1..]                 yB -  (筮 1)\n"
"WB  ( ) Continuous                        yB - ﭭ ஢ઠ\n"
"WB  yB\n"
"WB   Do you want to test the disk surface   yB    ⨥ WBTabyB   ६-\n"
"WB     of drive C: for physical defects?    yB   ﬨ  WB஡yB\n"
"WB                                          yB ⬥ 㦭 ०. \n"
"WB      0L Begin Test WB    Skip Test       yB ⠭   奬.\n"
"WB               \n"
"WBͼ\0",
"yB\n"
"       ஢ઠ 砫,  㭮  ࠬ 뢠  ன\n"
"    ᪠,     業筮  ⥪饥 ६ ஢ન\n"
"\n"
"    WByB\n"
"    WByB\n"
"    WBByB\n"
"    WByB\n"
"    WBBByB\n"
"    WByB\n"
"    WByB\n"
"    WByB\n"
"    WB yB६WB Ŀ yBWB Ŀ yB祭WB ĿyB\n"
"    WB 業筮: 00:05:08  騩: 28 291        - ஢塞 yB\n"
"    WB   饥: 00:00:16    ᥣ: 528 035       - ᯮ짮    yB\n"
"    WBٳ -  ᯮ짮 yB\n"
"    WB yBனWB ĿB - 䥪   yB\n"
"    WB ۰                     yB\n"
"    WB   C:            1  1             5% 1 = 496 ஢yB\n"
"    WByB\n"
"\n"
"    [饭    ॢ]\0",
"yB\n"
"     ᫨ 㤥   䥪 ,  WBDisk DoctoryB 뢥  ।-\n"
"  ०   ।   ᮮ⢥騬 ࠧ (⢥ gBMarkyB).\n"
"  ᫨ 䥪  ᪮쪮,   ⢥ gBAllyB  NDD ⠥-\n"
"   ९ ଠ  䥪    ⪨ ᪠.\n"
"\n"
"     ஢  ࢠ ⨥ WBESCyB,  ਬ, ᫨  㢥७, \n"
"   ஡ 㦥 襭.  ⮬ NDD ⠪ 뢥   ᮮ饭:\n"
"     WBͻyB\n"
"     WB  Norton Disk Doctor interrupted by user.  yB\n"
"     WB                                           yB\n"
"     WB          Do you wish to cancel            yB\n"
"     WB          the current operation?           yB\n"
"     WB           gBWB      gB  ஢થWB yB\n"
"     WB         0L Cancel WB     Resume           yB\n"
"     WB                       yB\n"
"     WBͼyB\n"
"      砭  ஢ન  NDD  뢮  gBSummaryyB  ᮮ饭ﬨ  -\n"
"  ,  ᫥  WBEnteryB,  뢮     gBReportyB.  \n"
"   ய ( gBDoneyB), ᯥ ( gBPrintyB)  ࠭\n"
"   䠩 ( gBSave AsyB).\n"
"\n"
"     ᫥ ⮣ WBNDDyB 頥  ᭮ .\0",
"yB      cB2. Unerase.yB\n"
"      ⨫ WBUneraseyB  ।祭   WB⠭yB 砩 㤠\n"
"   䠩.   믮  WBdelyB DOS  㭨⮦ 䨧᪨ ᠭ-\n"
"     䠩 ଠ,    㤠 WB뫪yB  ⠡ 䠩,  -\n"
"   祬, ⮫쪮  ࢮ  . ⠭    , \n"
"     ⮪  ᪠,  ਭ訩 㤠 䠩,   㤥 ᠭ\n"
"   WB㣠 ଠyB.\n"
"      ⨢ Unerase,  㢨 । ᮡ  ᫥饣 :\n"
"    WBͻyB\n"
"    WB                                ६    ண     yB\n"
"    WB͹yB\n"
"    WB 0L  NC                      DIR   22/09/95    9:19   SUB-DIR     WB  yB\n"
"    WB   TMP                     DIR   14/06/95   13:06   SUB-DIR       yB\n"
"    WB   UTILS                   DIR   14/06/95   13:06   SUB-DIR       yB\n"
"    WB   VIR                     DIR   14/06/95   13:06   SUB-DIR       yB\n"
"    WB   ?ex~0001 tmp          7 022    6/12/95   18:31   good          yB\n"
"    WB   ?ex~0014 tmp         98 963   10/11/95   19:32   poor          yB\n"
"    WB   ?ex~0018 tmp          8 585   10/11/95   19:32   poor          yB\n"
"    WB   ?FF                     DIR    6/12/95   16:00   average       yB\n"
"    WBĶyB\n"
"    WB           ଠ    0L ᬮ WB     ⠭         yB\n"
"    WB                             yB\n"
"    WBͼyB\0",
"yB\n"
"       ࢮ   WBᯨ᮪yB 䠩  ⠫,  祬,  㬮-\n"
"   砭 뢠 WByB ⠫  ⮫쪮 WB㤠yB 䠩;  ࢠ  㪢\n"
"      gB?yB, .. DOS ૠ   㤠  ⠡ 䠩.\n"
"\n"
"         -  WBࠧyB  䠩   ,   ⠫  ⮬ \n"
"   ⠢ ⪠ WBDIRyB.\n"
"\n"
"       뢮 WByB  WB६yB ᮧ 䠩,   ᫥  -\n"
"   WBணyB ⠭ 䠩,  ⨫⮩. ண ᭮뢠 \n"
"   쭮  ᮮࠦ:\n"
"      gBgoodyB - 訩,  䠩  ᪥ ⮨  WByB 뢭 ᪠ \n"
"   砫 䠩 WB yB;\n"
"      gBaverageyB - ।, 砫 䠩  ,  䠩 WB 楫yB;\n"
"      gBpooryB - 宩, WB०yB 砫 䠩  䠩 WBࠣ஢yB.\n"
"\n"
"      ,     ᯮ ᪮쪮 :\n"
"\n"
"      gBInfoyB      -  WBଠyB  㤠 䠩\n"
"      gBViewyB      - WBᬮyB ᮤন 䠩 (᫨ WBண  pooryB)\n"
"      gBUnEraseyB   - WB⠭yB 䠩 (᫨ WBண  pooryB)\0",
"yB\n"
"      ࠢ  \"gBViewyB\",    ᬮ ᮤন 㤠\n"
"   䠩   ᬮ:\n"
"      WB  View File  ͻyB\n"
"      WB                    Viewing file ?lan_2.txt                       yB\n"
"      WBĺyB\n"
"      WB                                                                  yB\n"
"      WB                               yB\n"
"      WB                                     ᭮ ࠪ⨪   yB\n"
"      WB                                  ⭮-᪠ ࠡ    yB\n"
"      WB                                                                 yB\n"
"      WB                               yB\n"
"      WB                                                         yB\n"
"      WB                                 砫 ࠡ             17 yB\n"
"      WB                                ४⨢  砭    08 yB\n"
"      WB                                 ꥬ                   yB\n"
"      WBĺyB\n"
"      WB     0L  Next  WB       Prev          Hex            OK         yB\n"
"      WB                          yB\n"
"      WBͼyB\n"
"  0L :   騩      ।騩     ४⥫      yB\n"
"  0L           䠩           䠩           ० ᬮ   ᬮ yB\n"
"\0",
"yB         WB訬yB   WB।yB ண  ⠭ WB⮬-yB\n"
"WB   ᪨yB,  筮  㭪 \"gBUnEraseyB\"   WB  㪢yB  \n"
"   䠩   ᫥饣 :\n"
" WB  ⠭ ͻ UnErase ͻyB\n"
" WB    DOS ९ᠫ  㪢        DOS has overwritten the first   yB\n"
" WB            䠩.                 letter of the file name.      yB\n"
" WB     1 㪢:  Please supply a new first letter: yB\n"
" WB                                                                       yB\n"
" WB            _egister.frm                       _egister.frm            yB\n"
" WB                                                                       yB\n"
" WB    4 727     1/02/95   1:35pm     4 727 bytes   1/02/95   1:35pm  yB\n"
" WB ͼͼyB\n"
"\n"
"        ண gBpooryB   ⠭  WB筮yB ०,\n"
"    १ ⮣ ⢨ ᮬ⥫.   ⮣ ᫥   WB-yB\n"
"   WByB,   WBAltyB,   㭪 \"WCManual unerase...yB\" 㣮 -\n"
"    㭪  ணࠬ - \"WCView All DirectoriesyB\",  騩 ᬮ-\n"
"    ᯨ᮪ WByB 㤠 䠩  ᪥,  ଠ   -\n"
"      ஢ન.\n"
"\n"
"      WByB  ⨫ Unerase ,  WBEscyB.\n"
"       ⠢ WBDOSyB 室 ⨫ WBUndeleteyB,  ।祭    -\n"
"   ,    㤮 䥩.\0",
"yB\n"
"     cB3. Speedisk.yB\n"
"\n"
"     樮 ⥬ ⢮   ᪥ 訬 ⪠, -\n"
"  묨 WBࠬyB.  ⮬, ᫨ ࠧ 䠩 WBॢ蠥yB ࠧ -\n"
"  ,    室    뤥 WByB , \n"
"  ᫥⥫쭮 ஢ ஢, ⭮  䠩, 㤥 -\n"
"    WB⥬yB  ᪠. \"窠\" ஢ WB 易yB  -\n"
"  뢭,     ⥭ᨢ ᯫ樨 ᪠    祭 ६\n"
"  ࠧ ⢮ WByB ஢,     ६  䠩 -\n"
"  뢠 WBࠣ஢묨yB,   , \"ࠧᠭ묨\"  .  -\n"
"   ࠡ  ᪮,  ᪮ ᫮ ६饭   ᪮\n"
"  ⥫쭮 㢥稢.\n"
"\n"
"     訩 ᯮᮡ  ࠧ   ஡ - ࠧ  -  믮-\n"
"    ⪮ ᪠ ணࠬ WB⨬樨 ࠧ饭 䠩yB, \n"
"  ࠭ ࠣ 䠩  ᢮   ᪥.\n"
"\n"
"        WBNorton UtilitiesyB  㭪樨 믮 ⨫ WBSpeediskyB.\n"
"  ᫥ ᪠ 䠩 WBspeedisk.exeyB ⨫ ।  WByB    ᯨ᪠\n"
"   㯭  ᪮    稭 WByB 䠩  ࠭\n"
"  ᪠.\0",
"yB\n"
"     ᫨   -  WB䥪yB,  WBSpeediskyB  ࢥ  ࠡ  \n"
"  ।  WBNorton Disk DoctoryB:\n"
"   WB Error ͻyB\n"
"   WB   Lost Cluster Found 1,445    yB\n"
"   WB Run NDD /COMPLETE to correct. yB\n"
"   WB          0L   OK   WB           yB\n"
"   WBͼyB\n"
"\n"
"     ᫨    ᮤন 䥪⮢,   WB⨬yB. ணࠬ-\n"
"   ᠬ ।  WB⮤yB ⨬樨, 室  WB業yB ࠣ-\n"
"  ஢ 䠩:\n"
"   ͻ 0L   ப  -yB\n"
"          99% of drive C: is not fragmented.         0Lﬨ ⮤ 뢮-yB\n"
"           Recommended optimization method:          0L  ᢥ    yB\n"
"                 Unfragment Files Only               0L뢠    ६,yB\n"
"                                                     0L室  -yB\n"
"    [ ]  Full Optimization            0L Optimize yB   0L  -  1-2 ᮢyB\n"
"    [ ]  Full with Directories First                 0L  ⨬-yB\n"
"    [ ]  Full with File Reorder                      0L樨  2-3  yB\n"
"    [	]  Unfragment Files Only           Cancel      0Lࠣ樨  ᢮-yB\n"
"    [ ]  Unfragment Free Space                       0L   ࠭-yB\n"
"   ͼ 0L⢠.                yB\0",
"yB\n"
"       ࠡ ⨫ 來 ⮡ࠦ ᢮ ⢨   WB-yB\n"
"  WBࠬyB,     ࠭ ਢ WB祭yB:\n"
"   WByB -  ⮪ WByB - 筮   ⮪ WByB -  ⮪\n"
"   WBryB - ⥭              WBWyB - \n"
"   WBByB - 䥪 ⮪   WBXyB - ६頥 ⮪\n"
"\n"
"   ६ ࠡ ⨫ WByB १㦠 , ⠪   ⮬\n"
"     ,    몫祭 ९뢠 \n"
"   ⪠ ᪠  㣮.  ᫨ 㦭 WBࢠyB ࠡ,  筮\n"
"   WBEscyB,  १ ஥ ६ ணࠬ ।   WBDOSyB.\n"
"\n"
"      ⠢ ᫥ ᨩ DOS 室 ⨫ WBdefrag.exeyB, ⠪ 믮-\n"
"   㭪樨 ⨬樨 ᪠.\n"
"\n"
"     cB4. Sysinfo.yB\n"
"\n"
"      祭 ࠧ筮 ଠ樨   ।祭 ⨫\n"
"  WBSysinfoyB.    뢮    ࠭  ଠ   WB⠡yB  WBᯨ᪮yB.\n"
"  ᬠਢ ᯨ᪨  WB᫥⥫쭮yB    WBந쭮yB  浪.\n"
"   㦭 ᯨ᮪    WByB,   室  ஥ ᯮ-\n"
"    WBAltyB.\0",
"yB\n"
"      ᫥⥫쭮 ᬮ ଠ樨 ᫥ 蠬  WB५-yB\n"
"  WByB 롨  gBNextyB (騩)     WBEnteryB.  롮  \n"
"  gBPreviousyB 頥  ࠭ ,   gBPrintyB ।祭  -\n"
"   ⥪饣 ࠭.\n"
"\n"
"     WB ଠyB   ᮤন  ࢮ ࠭, 뢮\n"
"  ⨫⮩.    WBComputeryB ᮮ頥 ઠ ,  ⨯ ,\n"
"  ᮯ,   ..   WBDisksyB 뢮 ꥬ ⪮\n"
"  ᪠   ⨯ ᪮,    WBMemoryyB - ꥬ   ⥫쭮\n"
"  .\n"
"\n"
"     ᥭ ⠪ 㭪  WBBenchmarksyB,  騩 ࠢ ந-\n"
"  ⥫쭮    ࠧ묨 ﬨ IBM.\n"
"\n"
"        㭪  WCPrint reportyB    WBFileyB  ᮧ  뢥 \n"
"  䠩   ਭ \"孨᪨ \"   .    ⮣\n"
"  ᫥ 蠬  ५  ஡   । ᯨ-\n"
"   㭪,  ᫥   ,  ⥬  gBPyB  \n"
"    gBFyB  뢮   䠩.\n"
"\n"
"     GB[ ⥪]yB\0"
 };
 char *mm0[2]={"  ணࠬ","  DOS"};
 char scr,k,c,*numpage="__";

 if (!textmode()) 
  return;
 
 goto_xy(0x19,0x00);
AGAIN:
 kbclear();
 for (scr=0;;) {
AGAIN_2:
  EXPLODE=YES; SHADOW=NO;
  ATTR=set_attr (YELLOW,BLUE);
  window (0,0,24,79);
  text (1,1,23,78,screen[scr]);
  if (scr) {
   ATTR=set_attr (WHITE,BLUE);
   utoa (scr,numpage,2);
   center_string (24,1,78,numpage);
  }
READKEY:
  c=kbscan();
  switch (c) {
   case _DOWN: if (scr<SCREENS-1) scr++; else goto READKEY; break;
   case _UP:   if (scr>0) scr--; else goto READKEY; break;
   case _ESC:
    k=popup (6, 28, 9, 52, YELLOW,GREEN, 2, mm0);
    if (k) goto OUT_MAIN;
   break;
   default: goto READKEY;
  }
  continue; // 頥  ப⪥ ࠭
 }
OUT_MAIN: 
 ATTR=0x07; clear (0,0,24,79);
 goto_xy(0x00,0x00);
 return;
}
asm db 10,13,'Nick Soft',10,13,'$'